Feature-Control-Netconf
此内容尚不支持你的语言。
Feature Control
Section titled “Feature Control”Resources Summary
Section titled “Resources Summary”| YANG Path | get/get-config | edit-config | rpc |
|---|---|---|---|
| /features-control/{name} | Y | merge | — |
Examples
Section titled “Examples”This chapter provides an example of how to use Netconf to manage feature control configuration on AsterNOS devices.
The default Feature Control Entry already exists on the device and only supports merge and get operations.
Get All Feature Control Entry
Section titled “Get All Feature Control Entry”Request example to get all Feature Control Entry via get-config with subtree filter.
<filter type="subtree"> <top> <feature-control/> </top></filter>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:3a332260-4690-4de9-aaeb-d508d2c9abcc"> <data> <top> <features-control xmlns="http://asterfusion.com/ns/yang/asternos-feature-control"> <feature> <name>dhcp_relay</name> <admin-state>disable</admin-state> <auto-restart>enable</auto-restart> </feature> <feature> <name>dhcp_server</name> <admin-state>disable</admin-state> <auto-restart>enable</auto-restart> </feature> <feature> <name>iccpd</name> <admin-state>disable</admin-state> <auto-restart>enable</auto-restart> </feature> <feature> <name>l2mcd</name> <admin-state>disable</admin-state> <auto-restart>enable</auto-restart> </feature> <feature> <name>lldp</name> <admin-state>enable</admin-state> <auto-restart>enable</auto-restart> </feature> <feature> <name>macsec</name> <admin-state>disable</admin-state> <auto-restart>enable</auto-restart> </feature> <feature> <name>mstpd</name> <admin-state>disable</admin-state> <auto-restart>enable</auto-restart> </feature> <feature> <name>proxy</name> <admin-state>disable</admin-state> <auto-restart>enable</auto-restart> </feature> <feature> <name>ptp</name> <admin-state>disable</admin-state> <auto-restart>enable</auto-restart> </feature> <feature> <name>radv</name> <admin-state>disable</admin-state> <auto-restart>enable</auto-restart> </feature> <feature> <name>sflow</name> <admin-state>disable</admin-state> <auto-restart>enable</auto-restart> </feature> <feature> <name>snmp</name> <admin-state>disable</admin-state> <auto-restart>enable</auto-restart> </feature> <feature> <name>snooping</name> <admin-state>enable</admin-state> <auto-restart>enable</auto-restart> </feature> </features-control> </top> </data></rpc-reply>Get Specific Feature Control Entry
Section titled “Get Specific Feature Control Entry”Request example to get specific Feature Control Entry via get-config with subtree filter.
<filter type="subtree"> <top> <features-control> <feature> <name>dhcp_relay</name> </feature> </features-control> </top></filter>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:9ea12f72-86cc-4275-8d3c-af62b8ade549"> <data> <top> <features-control xmlns="http://asterfusion.com/ns/yang/asternos-feature-control"> <feature> <name>dhcp_relay</name> <admin-state>disable</admin-state> <auto-restart>enable</auto-restart> </feature> </features-control> </top> </data></rpc-reply>Get Feature Running Statu
Section titled “Get Feature Running Statu”The running-status is a read-only leaf and can only be retrieved via get operation.
Request example to get Feature Running Status via get with subtree filter.
<filter type="subtree"> <top> <features-control> <feature> <name>dhcp_relay</name> <running-status/> </feature> </features-control> </top></filter>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:311e281a-e7f5-4cff-ab5a-3ee1f9bcf69d"> <data> <top> <features-control xmlns="http://asterfusion.com/ns/yang/asternos-feature-control"> <feature> <name>dhcp_relay</name> <running-status>enabled</running-status> </feature> </features-control> </top> </data></rpc-reply>Modify Feature Control Entry
Section titled “Modify Feature Control Entry”Request example to modify specific Feature Control Entry via edit-config with merge operation.
<config> <top> <features-control> <feature> <name>dhcp_relay</name> <admin-state>enable</admin-state> </feature> </features-control> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:88dea55e-1d67-4468-a4ed-7b8369f28734"> <ok/></rpc-reply>Properties Descriptions
Section titled “Properties Descriptions”Features Control
Section titled “Features Control”Tree Diagram
module: asternos-feature-control +--rw features-control +--rw feature* [name] +--rw name identityref +--rw admin-state? feature-state +--rw auto-restart? feature-state +--ro running-status? feature-statusTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| features-control | M | Path-only node, has no configurable value. | |
| feature | M | Path-only node, has no configurable value. | |
| name | O | ”iccpd" "lldp" "proxy" "macsec" "gnmi" "dhcp_server" "ptp" "exporter" "snooping" "mstpd" "snmp" "dhcp_relay" "l2mcd" "radv" "sflow" "slad” | configurable feature’s name(key of FEATURE table) |
| admin-state | O | ”disable" "enable” | state of the feature |
| auto-restart | O | ”disable" "enable” | auto restart after exiting |
| running-status | RO | ”enabled" "disabled" "failed” | feture container running state Default value: failed |